Anonymous Login
2018-11-12 20:28 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000263v1.2 Release (Closed)[All Projects] Generalpublic2009-12-08 19:01
Reporterlaussetdelon 
Assigned Topedroa 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.2 
Summary0000263: Task I have created not returned correctly
DescriptionI create a task, setting an owner
When I am in Tals module, filtering my task by "Task I have created" , there is nothing.
Looking in MySQL base, task creator is correctly set. It seems that the request sent selecting "All Tasks I Have Created" is not checking the task creator but task owner.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000499

laussetdelon (reporter)

Tested on trunk 656

~0000504

pedroa (administrator)

You are correct, there is a problem with the wording there.

It should say "All Tasks I Own" instead of "All Tasks I Have Created".
Even the Column that says "Task Creator" is wrong, it should say "Task Owner" on all Tasks lists.

What we can do is to add a new option for "All Tasks I Own" and fix the code accordingly. And change that column header to "Task Owner" too.

Thoughts?

Pedro A.

~0000506

laussetdelon (reporter)

Hi,

The "All tasks I own" should be useful, but I think this is important a task creator who is not necessarly the final owner (especially if the meaning of owner is responsible).
Could it be possible to get both filters ("all tasks I've created" and "all tasks I own") ?

Thank's

~0000523

pedroa (administrator)

Fixed on SVN revision 668.

Synched the wording with the functioning and added the new option.

Thanks for reporting.

Pedro A.
+Notes

-Issue History
Date Modified Username Field Change
2009-09-18 02:57 laussetdelon New Issue
2009-09-18 05:18 laussetdelon Note Added: 0000499
2009-09-18 13:48 pedroa Status new => assigned
2009-09-18 13:48 pedroa Assigned To => pedroa
2009-09-18 13:49 pedroa Note Added: 0000504
2009-09-18 13:49 pedroa Status assigned => feedback
2009-09-18 16:03 laussetdelon Note Added: 0000506
2009-09-22 09:15 pedroa Status feedback => resolved
2009-09-22 09:15 pedroa Resolution open => fixed
2009-09-22 09:15 pedroa Note Added: 0000523
2009-12-08 12:06 caseydk Project Pending Requests => v1.2 Release (Closed)
2009-12-08 19:01 caseydk Status resolved => closed
2009-12-08 19:01 caseydk Fixed in Version => 1.2
+Issue History